# Fetch Form Answers

`GET /omni/form/answers`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Retrieves all questions and answers that a user has responded to during a session, regardless of the form module configurations used.

Works with <Glossary>Admin Token</Glossary>.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `interviewId` | query | string | yes |  |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `answers` | array[FormAnswerDto] |  | The answers provided by the user |
| `answers.question` | string |  | The question presented to the user |
| `answers.answerDetails` | object |  | Details on user's answer |
| `answers.answerDetails.singleAnswer` | string |  | The user's answer to the question. Date Format: Dates in responses are returned as milliseconds since the Unix epoch (UTC) Country Code Format: Country codes in responses are returned using ISO 3166-1 alpha-3 format. For example, "USA" for the United States of America, "GBR" for Great Britain. |
| `answers.answerDetails.selectedAnswers` | array[string] |  | Field intended to support multiple selected answers by the user. Currently, this functionality is not supported and will always return as an empty array. |
| `answers.inputType` | string |  | Indicates the type of input used for the answer Enum: `NUMBER`, `CPF`, `COUNTRY`, `NATIONALITY`, `DATE`, `PHONE`, `EMAIL`, `TEXT`, `MULTISELECT`, `YESNO`, `SELECT` |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |
